Subject: Re: [EGIT PATCH 02/10] Rename the objectsUrl in the nested HttpObjectDB to

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 16 Mar 2009 14:28:31 -0700

Robin Rosenberg <[email-masked]> wrote:
> måndag 16 mars 2009 21:25:13 skrev "Shawn O. Pearce" <[email-masked]>:
> > Robin Rosenberg <[email-masked]> wrote:
> > > It is used for looking at alternate objects, so name it such
> > 
> > No SOB?
> > 
> > But I disagree with this name change.  Its pointing at the
> > objects directory of a repository.  It may also be used to
> > point at an alternate when opening an alternate, in which
> > case it points at the alternate's objects directory.
> > 
> > IMHO, objectsUrl is the right name for this.
> 
> Ok, I missed the real reason in the comment. It is name hiding. objectsUrl
> is the name of another variable in the outer scope.

OK.

I still disagree with the name change.  Can we hide the outer name by
making it private?  Or come up with a better name for the inner one?

-- 
Shawn.